Bug 820385 - [RFE] Make pulp aware of local/remote syncs
[RFE] Make pulp aware of local/remote syncs
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Tomas Strachota
Sachin Ghai
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 15:38 EDT by james labocki
Modified: 2014-01-27 09:21 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Pulp now provides information about current sync. This allows applications that reference pulp to report sync progress accurately.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:45:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Grey notification when promotion has finished product promotion (17.16 KB, image/png)
2012-09-24 06:49 EDT, Sachin Ghai
no flags Details

  None (edit)
Description james labocki 2012-05-09 15:38:49 EDT
Description of problem:
Currently, when pulp syncs repos on the same system there does not appear to be a way for pulp to report that the sync is taking place on the same system. This is because to pulp everything is a reposync. With projects that utilize pulp, such as Katello, this causes syncs to show up in the notifications even after actions that are not known as synchronizations (for example, when promoting content).

Additional info:
If pulp could provide some sort of information on the to/from host then projects such as katello could report syncs to users in different ways (sync vs promotion).
Comment 1 Mike McCune 2012-08-03 13:07:50 EDT
Currently in the latest version of Katello we only show a grey notification when the promotion has finished promoting.  We do not show a 'sync commplete' notif during promotions.

Going to mark this as fixed in upstream
Comment 3 Sachin Ghai 2012-09-24 06:48:50 EDT
Verified with following CFSE build:

katello-qpid-client-key-pair-1.0-1.noarch
katello-common-1.1.12-7.el6cf.noarch
katello-all-1.1.12-7.el6cf.noarch
katello-cli-1.1.8-4.el6cf.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
katello-glue-candlepin-1.1.12-7.el6cf.noarch
katello-selinux-1.1.1-1.el6cf.noarch
katello-configure-1.1.9-3.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-4.el6cf.noarch
katello-glue-pulp-1.1.12-7.el6cf.noarch
katello-1.1.12-7.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch


The UI shows the local sync or product promotion status as grey notification. Please see the attachment.

However for remote sync, the sync status is displayed as 'sync complete' on sync completion.
Comment 4 Sachin Ghai 2012-09-24 06:49:57 EDT
Created attachment 616464 [details]
Grey notification when promotion has finished product promotion
Comment 5 Sachin Ghai 2012-09-24 06:50:44 EDT
Moving this to verified as per comment3
Comment 7 errata-xmlrpc 2012-12-04 14:45:24 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.